> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Add Single Warrant

> Creates a DRAFT warrant for an investor seat with configuration, pricing, lockup terms and custom tags.

Not available to API keys yet. It will need `grants:write`.

## OpenAPI

````yaml api-reference/openapi.json POST /tga/add-single-warrant
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /tga/add-single-warrant:
    post:
      operationId: addSingleWarrant
      summary: Add Single Warrant
      description: >-
        Creates a DRAFT warrant for an investor seat with configuration,
        pricing, lockup terms and custom tags.


        Not available to API keys yet. It will need `grants:write`.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AddSingleWarrantRequest'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AddSingleWarrantResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    AddSingleWarrantRequest:
      type: object
      properties:
        warrantName:
          type: string
        warrantDescription:
          type: string
        warrantConfigurationID:
          type: string
        warrantAmount:
          type: number
          minimum: 0
        lockupPeriodMonths:
          type: number
          minimum: 0
        lockupFrequencyType:
          type: string
          enum:
            - MONTHLY
            - QUARTERLY
            - SEMIANNUALLY
            - YEARLY
            - CUSTOM
            - DAILY
            - WEEKLY
        investorID:
          type: string
        purchasePrice:
          type: number
          minimum: 0
        issueDate:
          type: string
        expirationDate:
          type: string
        tags:
          type: array
          items:
            type: string
        investorEntityID:
          type: string
      required:
        - warrantName
        - warrantDescription
        - warrantConfigurationID
        - warrantAmount
        - lockupPeriodMonths
        - lockupFrequencyType
        - investorID
        - purchasePrice
        - issueDate
        - expirationDate
        - tags
    AddSingleWarrantResponse:
      type: object
      properties:
        warrantID:
          type: string
      required:
        - warrantID
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
